Interlaken
API referenceApplicationsApplications

Get an application with its sources, services, environments, pipeline and variable names

GET
/api/v1/applications/{id}

Requires the apps:read permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/applications/string"
{  "created_at": "2019-08-24T14:15:22Z",  "environments": [    {      "approval_required": true,      "auto_deploy": true,      "certificate_id": "620df92a-0599-41ff-b912-58ec0e5bd21f",      "databases": [        {          "attach_as": "string",          "engine": "string",          "instance_type": "string",          "storage_gib": 0        }      ],      "domain": "string",      "domain_records": [        {          "name": "string",          "type": "string",          "value": "string"        }      ],      "domain_tls": true,      "name": "string",      "position": 0,      "provisions": [        "string"      ],      "service_overrides": {        "property1": {          "command": "string",          "instance_type": "string",          "scale": {            "max": 0,            "min": 0,            "target_cpu_percent": 0          }        },        "property2": {          "command": "string",          "instance_type": "string",          "scale": {            "max": 0,            "min": 0,            "target_cpu_percent": 0          }        }      },      "subnet_id": "69f11071-4ccc-4bb5-932b-00eac1b68892",      "tls_pending": true,      "tracks": {        "branch": "string",        "tag_pattern": "string"      },      "url": "string",      "vpc_id": "26872b87-3ca9-4a41-b328-948d9c25c405"    }  ],  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "last_error": "string",  "name": "string",  "pipeline": {    "generated": true,    "stages": [      {        "approval": {          "timeout": "string",          "who": [            "string"          ]        },        "deploy": {          "environment": "string",          "strategy": "string"        },        "jobs": [          {            "build": "string",            "image": "string",            "name": "string",            "needs": [              "string"            ],            "run": "string",            "source": "string"          }        ],        "name": "string"      }    ],    "triggers": [      {        "branch": "string",        "on": "string",        "pattern": "string"      }    ],    "version": 0  },  "pipeline_version": 0,  "services": [    {      "base_image_id": "b6adea76-47c7-48d7-95b8-1541877fe9d0",      "boot_disk_gib": 0,      "build": {        "command": "string",        "context": "string",        "dockerfile": "string",        "instance_type": "string",        "kind": "string",        "runtime": "string"      },      "expose": "string",      "image": "string",      "instance_type": "string",      "kind": "string",      "name": "string",      "path": "string",      "run": {        "command": "string",        "health": {          "interval_sec": 0,          "path": "string",          "port": 0,          "timeout_sec": 0        },        "port": 0      },      "scale": {        "max": 0,        "min": 0,        "target_cpu_percent": 0      },      "source": "string",      "targets": [        "b505793f-97f9-4cf3-a072-a44d2b068f87"      ],      "vars": [        "string"      ]    }  ],  "ship_mode": "string",  "sources": [    {      "branch": "string",      "connector_id": "9389ba6f-3696-4571-84d4-34d588c4b109",      "last_seen_sha": "string",      "name": "string",      "private": true,      "repo_full_name": "string",      "repo_url": "string",      "webhook_active": true    }  ],  "status": "string",  "updated_at": "2019-08-24T14:15:22Z",  "vars": [    {      "build_time": true,      "key": "string",      "scope": "string",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}